# Customizable dividers for your card games (or other cards)

With this OpenSCAD script, you can create tabbed dividers with custom icons for
any card size. It started out as a way to automate adding more expansions to my
Arkham Horror dividers, now it is flexible enough to be used for any type of cards.

## Parameters for Customizing

*Card dimensions:* The most important parameters are `horizontal` and `vertical`. Set these to the
size of your cards. The longer side should be assigned to `horizontal` for
sideways storage, or to `vertical` for upright storage.

*Tabs:* Depending on the size set for `horizontal`, the number and size of tabs must be
configured:

- `tab_width` is the length of the top edge
- `tab_height` is the distance between the tab's top edge and the cards' top edge
- `tab_angle` sets the slope in degrees. Higher numbers mean wider slope. With 45 degrees, the slope will be as wide as tall, i.e.
- `tab_height`. With 0 degrees, there will be no slope.
- `tabs` sets the total number of tabs along the top edge. They will be spaced evenly, with the outer tabs only having a slope on the inner side.
- `index` sets the tab index for the current card. The index 0 will be the leftmost tab. Some recommended settings, based on Arkham Horror cards:

| horizontal | tabs | tab_width | tab_angle | tab_height |
|------------|------|-----------|-----------|------------|
| 87         | 4    | 16        | 45        | 10         |
| 61         | 3    | 14        | 30        | 10         |

To try out other values, you can set `test_tabs` to true. This will ignore the
`index` setting and render as many dividers as there are tabs, put above each
other, so you can see how much the tabs overlap.

*Icons:* Set `icon` to the path to an SVG file (or upload one if using the web
interface). The icon will be scaled down to have a height of
`target_icon_height`. You can additionally set the `target_icon_width`. If you
leave that at 0, the icon will keep it's aspect ratio, which will cause it to be
off center, if it isn't square. Also, if it is much wider than tall, it can
cause it to spill over. 
